//	$Header: /afs/fl.mcs.anl.gov/usr/cave/hudson/V_Squared/OpenGL/inc/RCS/Data.h,v 1.4 1996/04/20 21:39:50 hudson Exp $


#pragma once


#if defined(MY_EXT)	//	Not my extensions; my off-ONYX copy of the patch154 extensions
#include "GL/gl.h"
#else
#include <GL/gl.h>
#endif
#include <sys/types.h>


class Data {
protected:
	void *storage;
	size_t size;	//	Storage size, in # elements (which varies with element size)
public:
	Data();
	~Data();
	size_t GetSize();
	size_t& SetSize();
	virtual void AllocStorage() = 0;
	virtual void *GetStorage() = 0;
	virtual void LoadStorage(void *data) = 0;	//	Copy 'data' to 'storage'
};
