// $Header: /afs/fl.mcs.anl.gov/usr/cave/hudson/V_Squared/OpenGL/inc/RCS/Head.h,v 1.5 1996/04/25 18:43:09 hudson Exp $

#pragma once

#include "Interface.h"

class Head : public Interface {
protected:
	float loc[3];
	float oldloc[3];
	float roll;
	float azi;
	float pitch;
	float front_vec[3];
	float navfront_vec[3];	//	front_vec, as xformed by any CAVENav transforms
public:
	Head();
	~Head();
	float& RefLoc(int i);
	float& RefOldloc(int i);
	float& RefRoll();
	float& RefAzi();
	float& RefPitch();
	void NudgeLoc();
	float*& SetFront_vec();
	float* GetFront_vec();
	float*& SetNavFront_vec();
	float* GetNavFront_vec();
};
