// $Header: /afs/fl.mcs.anl.gov/usr/cave/hudson/Liaison/ANLE/Frames/OpenGL/inc/RCS/Obj.h,v 1.5 1995/10/19 15:08:18 hudson Exp $


#pragma once


#include <GL/gl.h>
#include "Frame.h"


class Obj {
protected:
	GLuint *draw_idx;	//	Index into drawing DispList
	GLboolean active;
	GLboolean visible;

	//	frame that may be associated w/ this obj in a FramedObj;
	//	to be used for future intersection-testing; do NOT use in Draw routine
	//	to xform object; that's the FramedObj's job
	Frame *myframe;
public:
	Obj();
	Obj(Frame *fr_ptr);
	~Obj();
	virtual void Draw() = 0;
	virtual void GraphicsInit();
	virtual void Cpl_DrawList() = 0;	//	Compile drawing DispList
	GLboolean& SetVisible();
	GLboolean& SetActive();
};
