//	$Header: /afs/fl.mcs.anl.gov/usr/cave/hudson/V_Squared/OpenGL/inc/RCS/Utils.h,v 1.8 1995/10/25 22:12:13 hudson Exp $


#pragma once


#if defined(MY_EXT)	//	Not my extensions; my off-ONYX copy of the patch154 extensions
#include "GL/gl.h"
#else
#include <GL/gl.h>
#endif
#include <math.h>

//	Include OpenInventor SbMatrix class for matrix manipulation
#include <Inventor/SbLinear.h>


const PI_OVER_TEN = M_PI/10.0;


class Utils {
protected:
	/* OGLXXX XXX fix this. */
	GLfloat idmtx[4][4];
public:
	Utils();
	~Utils();
	void LoadIdmtx();
	float** GetIdmtx();
	void crossproduct(float *norm, float *firstvec, float *secondvec);
	float dot3d(float *vec0, float *vec1);
	GLfloat dist3d(GLfloat *fromvec, GLfloat *tovec);
	void normalize(float *vec, float *unitvec);
	GLfloat Radians(GLfloat degrees);
	GLfloat Degrees(GLfloat radians);
//	void OI_MatInv(GLfloat *OGLmtx, SbMatrix *anSbMatrix);
//	GLfloat matinv(GLfloat *mtx);
//	SbMatrix work_mtx;
};

inline GLfloat Utils::Radians(GLfloat degrees) {
	return degrees * (M_PI/180.0);
}

inline GLfloat Utils::Degrees(GLfloat radians) {
	return radians * (180.0/M_PI);
}
