// $Header: /afs/fl.mcs.anl.gov/usr/cave/hudson/V_Squared/OpenGL/inc/RCS/Wand.h,v 1.4 1996/01/20 21:30:26 hudson Exp $


#pragma once

#include <GL/gl.h>
#include "Interface.h"

class Wand : public Interface {
protected:
	float vecmodel[2][3];   // A line segment that models the wand vector
	float loc[3];
	float oldloc[3];
	float vec[3];
	float roll;
	float azi;
	float pitch;
	GLboolean button1, button2, button3;
	float xjoy; // Joystick X val (between -1.0 & 1.0)
	float yjoy; // Joystick Y val (between -1.0 & 1.0)
public:
	Wand();
	~Wand();
	float& RefLoc(int i);
	float& RefOldloc(int i);
	float& RefVec(int i);
	float& RefRoll();
	float& RefAzi();
	float& RefPitch();
	GLboolean& RefButton1();
	GLboolean& RefButton2();
	GLboolean& RefButton3();
	float& SetXjoy();
	float& SetYjoy();
	float GetXjoy();
	float GetYjoy();
	void SetVecmodel(float *start, float *end);
	void DrawVecmodel();
	void NudgeLoc();
};
