//	$Header: /afs/fl.mcs.anl.gov/usr/cave/hudson/V_Squared/OpenGL/inc/RCS/Model.h,v 1.5 1995/10/01 00:11:38 hudson Exp $


#pragma once

#if defined(MY_EXT)	//	Not my extensions; my off-ONYX copy of the patch154 extensions
#include "GL/gl.h"
#else
#include <GL/gl.h>
#endif
#include "Wand.h"
#include "Head.h"
#include "Obj.h"

class Model : public Obj {
protected:
	float *loc;
	float *orient;
	float *size;	//	Scale factor
	float *color;
	float *colormap;	//	For future
//	GLboolean active;
//	GLboolean visible;
public:
	Model();
	~Model();
	float GetLoc(int i);
//	float& SetLoc(int i);
	float* SetLoc();
	float GetOrient(int i);
	float& SetOrient(int i);
	float GetSize(int i);
	float& SetSize(int i);
	float& SetColor(int i);
//	GLboolean& SetVisible();
//	GLboolean& SetActive();
	virtual void Draw() = 0;
	virtual void Init(Wand *aWand, Head *aHead) = 0;
	virtual void ProcessWand(Wand *aWand) = 0;
	virtual void ProcessHead(Head *aHead) = 0;
};
